Page MenuHomePhabricator

Add API tests to ORES CI
Closed, ResolvedPublic

Description

We should have travis start up an ORES server and do a set of calls against it to make sure it responds as expected. Config should look somewhat like prod (uwsgi and celery).

Checks:

  • / -- Returns 200 OK
  • /ui/ -- Returns 200 OK
  • /scores/ -- Returns 200 OK valid JSON
  • /v1/spec/ -- Returns 200 OK valid JSON (valid swagger spec?)
  • /v2/spec/ -- Returns 200 OK valid JSON (valid swagger spec?)
  • /v3/spec/ -- Returns 200 OK valid JSON (valid swagger spec?)
  • /v1/scores/testwiki/revids/2342342/ -- Returns 200 OK valid JSON (matches v1 spec)
  • /v2/scores/testwiki/revids/2342342/ -- Returns 200 OK valid JSON (matches v2 spec)
  • /v2/scores/testwiki/revids/2342342/?features -- Returns 200 OK valid JSON (matches v2 spec)
  • /v3/scores/testwiki/2342342/revids/ -- Returns 200 OK valid JSON (matches v3 spec)
  • /v3/scores/testwiki/2342342/revids/?features -- Returns 200 OK valid JSON (matches v3 spec)
  • /404 -- Returns 200 OK (404 page)

Event Timeline

Halfak created this task.Jun 15 2017, 7:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2017, 7:39 PM
awight renamed this task from Add live server CI checks to ORES to Add live server monitoring checks to ORES.Jun 22 2017, 2:53 PM
awight renamed this task from Add live server monitoring checks to ORES to Add live server CI checks to ORES.
awight renamed this task from Add live server CI checks to ORES to Add API tests to ORES CI.Jun 22 2017, 2:56 PM
Ladsgroup triaged this task as Low priority.Jun 22 2017, 2:59 PM
Ladsgroup moved this task from Untriaged to Maintenance/cleanup on the Scoring-platform-team board.
Halfak claimed this task.Jul 7 2017, 7:31 PM
Halfak moved this task from Active to Done on the Scoring-platform-team (Current) board.
Halfak closed this task as Resolved.Jul 12 2017, 10:49 PM